## org.apache.tools.ant.filters
Class EscapeUnicode

    java.lang.Object
      |
      +--java.io.Reader
            |
            +--java.io.FilterReader
                  |
                  +--org.apache.tools.ant.filters.BaseFilterReader
                        |
                        +--org.apache.tools.ant.filters.BaseParamFilterReader
                              |
                              +--org.apache.tools.ant.filters.EscapeUnicode

All Implemented Interfaces:
  ChainableReader, Parameterizable

public class EscapeUnicode
extends BaseParamFilterReader
implements ChainableReader

Converts non latin characters to unicode escapes Useful to load properties containing non latin Example:

    <escapeunicode>

Or:

    <filterreader
            classname="org.apache.tools.ant.filters.EscapeUnicode"/>

Since:
  Ant 1.6
Author:
  Antoine Levy-Lambert

Field Summary

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`EscapeUnicode()` Constructor for "dummy" instances.
`EscapeUnicode(java.io.Reader in)` Creates a new filtered reader.

Method Summary
`java.io.Reader` `chain(java.io.Reader rdr)` Creates a new EscapeUnicode using the passed in Reader for instantiation.
`int` `read()` Returns the next character in the filtered stream, converting non latin characters to unicode escapes.

Methods inherited from class org.apache.tools.ant.filters.BaseParamFilterReader
`getParameters, setParameters`

Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader
`getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

Methods inherited from class java.io.FilterReader
`close, mark, markSupported, ready, reset`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscapeUnicode

    public EscapeUnicode()

  Constructor for "dummy" instances.

See Also:
  `BaseFilterReader.BaseFilterReader()`

### EscapeUnicode

    public EscapeUnicode(java.io.Reader in)

  Creates a new filtered reader.

Parameters:
  `in` - A Reader object providing the underlying stream. Must not be `null`.

Method Detail

### read

    public final int read()
                   throws java.io.IOException

  Returns the next character in the filtered stream, converting non latin characters to unicode escapes.

  Overrides:
    `read` in class `java.io.FilterReader`
  Returns:
    the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
  Throws:
    `java.io.IOException` - if the underlying stream throws an IOException during reading

### chain

    public final java.io.Reader chain(java.io.Reader rdr)

  Creates a new EscapeUnicode using the passed in Reader for instantiation.

  Specified by:
    `chain` in interface `ChainableReader`
  Parameters:
    `rdr` - A Reader object providing the underlying stream. Must not be `null`.
  Returns:
    a new filter based on this configuration, but filtering the specified reader

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.